#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-9HuRIA4slZYDbh1ZMjJQMZ
key:                  dhall-1.42.1-9HuRIA4slZYDbh1ZMjJQMZ
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  0a9d41151a9317977cd2581f0d42cdcb
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-9HuRIA4slZYDbh1ZMjJQMZ
depends:
    Diff-0.4.1-FXu9kUYIjjMJ3mWODxOBnv
    aeson-2.1.2.1-8bwKrGTS6zMBpBkx7W0Lha
    aeson-pretty-0.8.10-1RAdr5BC8jEAeZ35ermMoo
    ansi-terminal-1.0.2-DcWKxdhj5Ak5QW9zDQT4KO
    atomic-write-0.2.1.1-3PIkpDK75oy1ZnPJapw4Z6 base-4.17.2.1
    base16-bytestring-1.0.2.0-6rbdoCG2msdTv6IBDA7o9 bytestring-0.11.5.3
    case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    cborg-0.2.9.0-LoGbNfxSqiQKc2Ql6Zf42V
    cborg-json-0.2.6.0-30Q6tgAJ0dh8rXmdLFmaYi containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-J8QVa5fPuPALjayzRZIKi
    data-fix-0.3.3-Ae95BGkNJ6M2ZtAewHkPPT deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-EqDogmYciAk7GCuvEi6PPv exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-KX7W1HLyPRhI5gaeCA4uxU
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2 haskeline-0.8.2
    http-client-0.7.18-IlZRgefaFRpLcP3Svh4rxJ
    http-client-tls-0.3.6.4-99CzL1eHc2KwhkVDryN4n
    http-types-0.12.4-L1Q49cDydVgHbqlHix9Eo1
    indexed-traversable-0.1.4-IkAPV3fr55zF6GGiN8o3fy
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-8648askGGYL4sSdjKKAh81
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-F7iehLTgVhD13GIPVpEkB1
    optparse-applicative-0.17.1.0-GJejBEZRufe1ghPqBo6gVT
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-AhFSziNPdIpAN1hriGUYjg
    pretty-simple-4.1.3.0-L9X39kESjELJBlqGELvlNC
    prettyprinter-1.7.1-4OcwRcmh1Ti4mxDY1eEOeZ
    prettyprinter-ansi-terminal-1.1.3-9wmwRAFNSErJBkAUWWpIIv
    profunctors-5.6.2-DC74qDR1GaULyAKHDYw1BF
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-IDMbwXytNLYBdGHdrnCYs7
    serialise-0.2.6.1-1ohgnIyuDmFAfemRkSM7q0 template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-90kfwtA479t3lOgKAQUeqm
    text-short-0.1.6-23wZ5RzRL0YBhTaLngb4hs
    th-lift-instances-0.1.20-9DlWchj4C2H88mW1PUM9 time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-4gpSWj5kFwJ2bB2kfbSmRh
    unordered-containers-0.2.20-FElyfgrInnoGRvt4L8NT29
    vector-0.13.2.0-CMnyNy925iLU2oFqM6oBU

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

